## org.apache.cassandra.config
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cassandra.config.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigurationException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ConfigurationException(java.lang.String message)`
`ConfigurationException(java.lang.String message, java.lang.Exception e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(java.lang.String message)

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Exception e)

Copyright © 2011 The Apache Software Foundation